<ion-header [translucent]="true">
    <ion-toolbar color="primary">
        <ion-title appTitle>Devices List</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content style="text-align:center">
    <ion-list style="width:300px; margin:0 auto;">
        <ion-item *ngFor="let device of devicesList" routerLink="/device/{{device}}">
            <ion-avatar slot="start">
                <ion-icon size="large" name="thermometer"></ion-icon>
            </ion-avatar>
            <ion-label>
                <h2>Nodo {{device}}</h2>
            </ion-label>
        </ion-item>
    </ion-list>
    <ion-button class="ion-content" (click)="logout()" style="width:300px;">Logout</ion-button>
    <ion-button class="ion-content">Update Firmware</ion-button>
</ion-content>